Skip to content

Supported tokens

GET
/networks/stablecoins
curl --request GET \
--url https://hub.stablezact.com/api/v1/networks/stablecoins \
--header 'X-Public-Key: <X-Public-Key>'

In practice this returns USDC and USDT. Those are the only two values of currency that work end to end.

The tokens.

Media typeapplication/json
object
stablecoins
Array<object>
object
id
string format: uuid
name
string
symbol

The value to send as currency.

string
contractAddress
string | null
decimals
integer
logo
string | null
isStablecoin
boolean
Network

The network this token lives on.

object
id
string format: uuid
name
string
shortName
string
chainId
string
type
string
logo
string | null
Examplegenerated
{
"stablecoins": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"symbol": "example",
"contractAddress": "example",
"decimals": 1,
"logo": "example",
"isStablecoin": true,
"Network": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"shortName": "example",
"chainId": "example",
"type": "example",
"logo": "example"
}
}
]
}

Missing or invalid credentials.

Media typeapplication/json
object
success
boolean
error
required

Short machine-ish reason.

string
message

Longer explanation, when there is one.

string
Example
{
"error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."
}